1. Authentication
ROCKITPLAY API
  • ROCKIT Edge - Admin API
    • Installation / Upgrade
      • get versions
      • ping
      • submit test task
    • Admin Edge Organizations
      • Create Organization
      • Commit Export
      • Delete Organization
  • ROCKIT Edge - Backend API
    • Backend Edge Organizations
      • Create Organization
      • Delete Organization
    • Authentication
      • user login (org)
        POST
      • user login (user+pw)
        POST
      • Refresh
        POST
      • User logout
        POST
    • Account Management
      • get user details
      • list users
      • Modify user
      • delete users
      • Create User / Create Machine User
      • Create User / Create Machine User Copy
    • Deployments
      • Creating Deployments
      • Get Deployments
      • Get Deployment Details
      • Modify Deployment
      • Deleting Deployments
    • Apps
      • Creating Apps
      • Import native builds
      • App Details
      • List Apps
      • Patch App
      • Delete Apps
    • Triggers
      • Process Traces
      • Retry Task
    • Tasks
      • Listing Tasks
      • Task Details
      • Acknowledge Warning / Expire Task
    • Subscriptions
      • Subscribe
      • List Subscriptions
      • Unsubscribe
    • Roles
      • List Roles
      • Create Role
      • Patch Role
      • Role Details
      • Delete Roles
    • API Keys
      • Delete API Key
    • Commit
  • Changelog
    • Changelog
  • Schemas
    • Webhook Request Body
    • Import UrlSchema
  1. Authentication

user login (org)

POST
https://Example-Server.com/be/v1/login
Last modified:2026-04-22 15:09:02
This endpoint allows a user with valid organization selection token to obtain refresh and access tokens for a particular organization. The refresh token is valid for 24h by default, access token is valid for 15m by default. Expiration times can be changed by providing optional parameters within the request body payload.
Access token is used to grant access to the protected endpoints of the ROCKIT Edge API. Refresh token is used to refresh access token. Once refresh token is used, it becomes invalid. Subsequent request should use new refresh token provided along with refreshed access token.
On success the endpoint returns ROCKITPLAY Mission Control data, information about organization used to login and session data which contains refresh and access tokens along with their expiration timestamps and the permissions to the individual resources of ROCKIT Edge. These are:
apps
ROCKIT-enabled Apps
beUsers
Backend users
tasks
Compute tasks
deployments
ROCKIT-Edge deployment
subscriptions
Webhook/Slack subscription
roles
Roles of Backend users
If the ROCKIT Edge is working together with ROCKIT StreamInstaller the following additional resources are relevant:
dependencies
3rd-party dependencies which should be installed by the ROCKIT StreamInstaller prior to the game start.
keys
Access keys to authenticate CDN downloads.
The endpoint returns the permissions to each resource, i.e.
create
(apps, beUsers, dependencies, keys)
read
(apps, beUsers, tasks, dependencies, keys)
update
(apps, beUsers, tasks, dependencies, keys)
delete
(apps, beUsers, tasks, dependencies, keys)
execute
(tasks)

Request

Header Params

Body Params application/json

Example
{
    "orgName": "{{EDGE_ORG_NAME}}",
    "sessionExpires": 86400,
    "tokenExpires": 3600
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://Example-Server.com/be/v1/login' \
--header 'x-rockit-beorgsel-token: {{_edge_org_admin_beorgsel_token}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "orgName": "ExampleOrg",
    "sessionExpires": 86400,
    "tokenExpires": 3600
}'

Responses

🟢200OK
application/json
Body

Example
{
    "status": "success",
    "session": {
        "token": "eyJhbGci...",
        "expires": 1731749654,
        "permissions": {
            "apps": [
                "create",
                "read",
                "update",
                "delete"
            ],
            "beUsers": [
                "create",
                "read",
                "update",
                "delete"
            ],
            "dependencies": [
                "create",
                "read",
                "update",
                "delete"
            ],
            "keys": [
                "create",
                "read",
                "update",
                "delete"
            ],
            "roles": [
                "create",
                "read",
                "update",
                "delete"
            ],
            "subscriptions": [
                "create",
                "read",
                "update",
                "delete"
            ],
            "users": [
                "create",
                "read",
                "update",
                "delete"
            ],
            "tasks": [
                "read",
                "delete",
                "execute"
            ],
            "consumption": [
                "read"
            ]
        }
    }
}
🟠401Unauthorized
🟠400Invalid Param
Modified at 2026-04-22 15:09:02
Previous
Authentication
Next
user login (user+pw)
Built with